#include <stdio.h>

int main(int argc, const char** argv)
{
    if (argc < 2) {
        printf("usage: ol <file>\n");
        return 1;
    }
    const char* file_path = argv[1];

    FILE* file = fopen(file_path, "r");
    if (!file) {
        printf("could not open file '%s'\n", file_path);
        return 1;
    }

    printf("file:\n");
    int read_char = fgetc(file);
    while (read_char != EOF) {
        fputc(read_char, stdout);
        read_char = fgetc(file);
    }
    fputc('\n', stdout);
}
